From 53c92e68491e4405193e240e69b3b1dff0405dd2 Mon Sep 17 00:00:00 2001
From: Daniel Kriesten <krid@tu-chemnitz.eu>
Date: Tue, 17 Apr 2012 11:44:45 +0200
Subject: [PATCH 2/2] Use tools as identified by configure

The configure script checks for several (GNU) tools to exist and saves
their PATH. Thus the Makefile should use the saved PATH as well.

Signed-off-by: Daniel Kriesten <krid@tu-chemnitz.eu>
---
 Makefile.in |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/Makefile.in b/Makefile.in
index 8382402..02a9e5f 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -62,8 +62,8 @@ environment:
 	@echo " done"
 
 clean:
-	@rm -f .done
-	@find "$(abs_srcdir)/bin" -type l -print0 | xargs -r -0 rm
+	@"$(abs_srcdir)/bin/rm" -f .done
+	@"$(abs_srcdir)/bin/find" "$(abs_srcdir)/bin" -type l -print0 | "$(abs_srcdir)/bin/xargs" -r -0 rm
 	@$(MAKE) -C "$(abs_srcdir)/scripts/kconfig" clean
 
 dirty-check:
@@ -113,12 +113,12 @@ dist: dirty-check
 	md5sum "${project}.tar.bz2" > "${project}.tar.bz2.md5"
 
 distclean: clean
-	rm -fr Makefile
-	rm -fr build-stamp
-	rm -fr config.log config.status autom4te.cache
+	"$(abs_srcdir)/bin/rm" -fr Makefile
+	"$(abs_srcdir)/bin/rm" -fr build-stamp
+	"$(abs_srcdir)/bin/rm" -fr config.log config.status autom4te.cache
 
 maintainer-clean: distclean
-	rm -f configure
+	"$(abs_srcdir)/bin/rm" -f configure
 
 release:
 	@scripts/make_$@.sh
-- 
1.7.10

